Update an endpoint

<Info icon="fa-light fa-lock" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> `Endpoint` + `Update` <div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge></div> </Info> Updates the details of an endpoint. <Note> Execute this operation sequentially - wait for each request to complete before starting the next. For bulk updates, use [`PATCH /api/v2/endpoint/multi`](/developers/api/endpoint/bulk-update-endpoint) instead (supports up to 2,000 endpoints). </Note> <Warning> emnify charges for activated SIMs, even if the endpoint `status` is set to **Disabled**. To avoid accruing unexpected charges, update the SIM `status` to **Suspended** (`"id": 2`). </Warning>

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

endpoint_idintegerRequired
Numeric ID of an endpoint

Request

This endpoint expects an object.
service_profileobjectRequired
tariff_profileobjectRequired
statusobjectRequired
ip_address_spaceobjectRequired
simobjectRequired
namestringRequired
imeistringRequired
imei_lockbooleanRequired
ip_addressstringRequired
tag_assignmentslist of integersOptional
IDs of existing tags replacing the tags currently assigned to the endpoint. An empty array removes all tags. <Info> Mutually exclusive with `tags`. Provide at most one of the two. </Info>
tagsstringOptionalDeprecated
Comma-separated tag names replacing the tags currently assigned to the endpoint. Tags that do not exist yet are created, an empty string removes all tags. <Warning> Deprecated. Use `tag_assignments` instead. </Warning>

Response

Endpoint updated successfully

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error